# TownNameParams Struct Reference

Struct holding a parameters used to generate town name. More...

## Public Member Functions

| TownNameParams (byte town_name)

## Data Fields

uint32 | grfid
| newgrf ID
uint16 | townnametype
| town name style
bool | grf
| true iff a newgrf is used to generate town name

## Detailed Description

Struct holding a parameters used to generate town name.

Speeds things up a bit because these values are computed only once per name generation.

Definition at line 1368 of file town_cmd.cpp.

The documentation for this struct was generated from the following file:

- src/town_cmd.cpp